---
updatedAt: 2025-11-11T00:09:54.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/v1.1/llms.txt
---

# Get Balance Statement

This endpoint gives the balance statement for a wallet

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "bulk-transfer",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://api-gateway.interswitchng.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/generic-wallet/api/v1/cards/balance/statement": {
      "post": {
        "summary": "Get Balance Statement",
        "description": "This endpoint gives the balance statement for a wallet",
        "operationId": "get-balance-statement",
        "parameters": [
          {
            "name": "Content-Type",
            "in": "header",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "walletIdType": {
                    "type": "string"
                  },
                  "channel": {
                    "type": "string"
                  },
                  "walletId": {
                    "type": "string"
                  },
                  "fromDate": {
                    "type": "string"
                  },
                  "toDate": {
                    "type": "string"
                  },
                  "domain": {
                    "type": "string"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n\"statusCode\": \"200\",\n\"responseCode\": \"00\",\n\"responseMessage\": \"Successful\",\n\"errors\": null,\n\"modelList\": null,\n\"count\": 0,\n\"ledgerBalance\": \"99930010\",\n\"availableBalance\": \"999930010\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "string",
                      "example": "200"
                    },
                    "responseCode": {
                      "type": "string",
                      "example": "00"
                    },
                    "responseMessage": {
                      "type": "string",
                      "example": "Successful"
                    },
                    "errors": {},
                    "modelList": {},
                    "count": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "ledgerBalance": {
                      "type": "string",
                      "example": "99930010"
                    },
                    "availableBalance": {
                      "type": "string",
                      "example": "999930010"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl https://api-gateway.interswitchng.com/generic-wallet/api/v1/cards/change/pin \\\n-H \"Authorization: <passport_generated_token>\" \\\n-H \"Content-Type: application/json\" \\\n-d '{\n\"walletIdType\": \"NIN\",\n\"walletId\": \"9999\",\n\"channel\": \"SERVICE\",\n\"domain\" : \"ISW\",\n\"fromDate\": \"30/04/2018\",\n\"toDate\": \"30/05/2018\"\n}' \n-X POST"
            },
            {
              "language": "php",
              "code": "$curlInit = curl_init();\ncurl_setopt($curlInit, CURLOPT_HTTPHEADER, array(\n'Content-Type: application/json',\n'Authorization: <passport_generated_token>'\n));\n\ncurl_setopt($curlInit, CURLOPT_RETURNTRANSFER, true);\ncurl_setopt($curlInit, CURLOPT_URL, 'https://api-gateway.interswitchng.com/generic-wallet/api/v1/cards/balance/statement');\n\n$fieldsString = '{\n\"walletIdType\": \"NIN\",\n\"walletId\": \"9999\",\n\"channel\": \"SERVICE\",\n\"domain\" : \"ISW\",\n\"fromDate\": \"30/04/2018\",\n\"toDate\": \"30/05/2018\"\n}';\ncurl_setopt($curlInit, CURLOPT_POST, true);\ncurl_setopt($curlInit, CURLOPT_POSTFIELDS, $fieldsString);\n\n$response = curl_exec($curlInit);\ncurl_close($curlInit);\nreturn $response;"
            },
            {
              "language": "javascript",
              "code": "const params = `{\n        \"walletIdType\": \"NIN\",\n        \"walletId\": \"9999\",\n        \"channel\": \"SERVICE\",\n        \"domain\" : \"ISW\",\n        \"fromDate\": \"30/04/2018\",\n        \"toDate\": \"30/05/2018\"\n        }`;\nconst options = {\n  hostname: 'api-gateway.interswitchng.com',\n  port: 443,\n  path: '/generic-wallet/api/v1/cards/change/pin',\n  method: 'POST',\n  headers: {\n    Authorization: '<passport_generated_token>',\n    'Content-Type': 'application/json'\n  }\n};\n\n\nconst request = https.request(options, response => {\n  response.on('data', (chunk) => {\n    data += chunk;\n  })\n\n  response.on('end', () => {\n    console.log(JSON.parse(data));\n  });\n\n}).on('error', error => {\n  console.log('error: ', error);\n});\nrequest.write(params);\nrequest.end();"
            }
          ],
          "samples-languages": [
            "curl",
            "php",
            "javascript"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```